View Issue Details

IDProjectCategoryView StatusLast Update
0023077mantisbtadministrationpublic2017-09-03 05:31
Reporterphcr0Assigned Toatrol 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionno change required 
PlatformLinuxOSUbuntuOS Version14.04.4
Product Version2.5.1 
Target VersionFixed in Version 
Summary0023077: APPLICATION ERROR 0000026 - Project Administration
Description

Hello,
Since my recent migration to version 2.5.1, I am unable to access project management (administrator profile).
I access the list of projects (manage_proj_page.php) but the following error page appears as soon as I click on one of the projects to modify the details (manage_proj_edit_page.php):

French Original Message :
APPLICATION ERROR 0000026
Incompatibilité de Type de données. Activez les messages d'erreur détaillés pour plus d'information.
Merci d'utiliser le bouton « Précédent » de votre navigateur web pour retourner à la page précédente. Vous pourrez y corriger les problèmes identifiés par cette erreur ou choisir une autre action. Vous pouvez aussi choisir une option de la barre de menu pour aller directement dans une nouvelle section.

English translation of the previous message :
APPLICATION ERROR 0000026
Data Type mismatch. Enable detailed error messages for more information.
Please use the "Back" button on your web browser to return to the previous page. You can fix the problems identified by this error or choose another action. You can also choose an option from the menu bar to go directly to a new section.

In DEBUG Mode, the following details appear :
Full path: /var/www/mantisbt/core/helper_api.php
Line: 189
VariableValue Type
p_var1 viewerstring
p_var2 10 integer
p_strict 1 boolean
Filename Line Function Args
/var/www/mantisbt/core/helper_api.php 189 - - trigger_error ( <string>'26', <integer>256 )
/var/www/mantisbt/core/helper_api.php 266 - - helper_check_variables_equal ( <string>'viewer', <integer>10,
<boolean>true )
/var/www/mantisbt/core/print_api.php 1089 - - check_selected ( <string>'viewer', <integer>10 )
/var/www/mantisbt/manage_proj_edit_page.php 866 - - print_project_access_levels_option_list ( <string>'viewer', <integer>11 )

Thanks for your help.

Philippe

Additional Information

Ubuntu 14.04.4 / Apache 2.4.7 / PHP 5.5.9 / MySQL Server 5.6.33

TagsNo tags attached.

Activities

atrol

atrol

2017-07-04 16:24

developer   ~0057168

It seems you have set $g_default_new_account_access_level in config_inc.php or default_new_account_access_level in database configuration to string 'viewer'.
This is wrong as you have it to set to integer constant VIEWER in config_inc.php or integer value 10 in database.

atrol

atrol

2017-07-15 13:43

developer   ~0057235

phcr0,

You did not provide any feedback; I am therefore resolving this issue as "no change required".

Feel free to reopen the issue at a later time and provide the requested information.

phcr0

phcr0

2017-08-10 05:30

reporter   ~0057420

Hello,

Thanks for your reply and sorry for my late response.

I have commented the $g_default_new_account_access_level in config_inc.php and it Works.

Thank you.

Issue History

Date Modified Username Field Change
2017-07-04 11:59 phcr0 New Issue
2017-07-04 16:24 atrol Status new => feedback
2017-07-04 16:24 atrol Note Added: 0057168
2017-07-15 13:43 atrol Assigned To => atrol
2017-07-15 13:43 atrol Status feedback => resolved
2017-07-15 13:43 atrol Resolution open => no change required
2017-07-15 13:43 atrol Note Added: 0057235
2017-07-24 17:58 atrol Status resolved => closed
2017-08-10 05:30 phcr0 Status closed => feedback
2017-08-10 05:30 phcr0 Resolution no change required => reopened
2017-08-10 05:30 phcr0 Note Added: 0057420
2017-08-10 05:34 atrol Status feedback => resolved
2017-08-10 05:34 atrol Resolution reopened => no change required
2017-09-03 05:31 atrol Status resolved => closed